use32
org 0x100000;this is where we are loaded
jmp start32
FLAGS_PAGE_ALIGN = 1 SHL 0
FLAGS_FLAT = 1 SHL 16

MAGIC = 0x1BADB002
FLAGS =   FLAGS_FLAT or FLAGS_PAGE_ALIGN


align 4
mheader:
magic dd MAGIC
flags dd FLAGS
checksum dd -(MAGIC+FLAGS)

headeraddr dd mheader
loadaddr dd 0x100000
loadend dd dataend
bssend dd 0;there is no BSS
jmpaddr dd start32

start32:;the start of the 32 bit code of the kernel where we set up for long mode
cli;int are not set up
mov esp,dataend
mov ebp,esp
mov esi,startmsg
call kprint
call bnline
mov esi,vgamsg
call kprint
;now we will set up VGA in 16 bit color
call unrealmode

hlt;nothing is setup yet so just halt


incl32:;all 32 bit includes after here
include 'std.inc'
include 'vbe.inc'

startmsg db "Kanu Operating System Starting Up....",0
vgamsg: db "Setting up vga...",0

times 1000 db 0
dataend:
